#-----------------------------------------------------------------------------
#
# Copyright (C) 2022-2023 Bjarne von Horn <vh@igh.de>
#               2022-2023 Florian Pose <fp@igh.de>
#
# This file is part of the QtPdCom library.
#
# The QtPdCom library is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or (at your
# option) any later version.
#
# The QtPdCom library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the QtPdCom Library. If not, see <http://www.gnu.org/licenses/>.
#
#-----------------------------------------------------------------------------

include("${CMAKE_CURRENT_LIST_DIR}/Qt6PdCom1-Qml-config-version.cmake")
foreach(PD_TARGET Qt6PdCom1;Qt6PdCom1plugin;Qt6PdCom1_qmldir)
    include("${CMAKE_CURRENT_LIST_DIR}/${PD_TARGET}Targets.cmake")
endforeach()

get_target_property(
    TARGET_PROPERTY_QTPDCOM_QML_ROOT_PATH
    EtherLab::Qt6PdCom1_qmldir
    INTERFACE_INCLUDE_DIRECTORIES
)

find_path(QTPDCOM_QML_ROOT_PATH de
    PATHS ${TARGET_PROPERTY_QTPDCOM_QML_ROOT_PATH}
    DOC "Path where QtPdCom QML classes are installed"
    REQUIRED
    NO_DEFAULT_PATH
)

# this variable is checked by check_required_components() in main config file.
if (QTPDCOM_QML_ROOT_PATH STREQUAL "QTPDCOM_QML_ROOT_PATH-NOTFOUND")
    set(Qt6PdCom1_Qml_FOUND 0)
else()
    set(Qt6PdCom1_Qml_FOUND 1)
endif()
